/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File: CRAPCOD.C
 *
 * Regelprogramma vri:      vergelijk datum, dag en tijd
 *
 * datum:                   25-01-96
 *                          19-03-03 aanpassing aan FLASH
 *                                   apart getal voor eeuw
 *                          24-12-03 aanpassing m.b.t. EGGPARM()
 * versie:                  1.2
 */

#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"
#include "verg_ddt.inc"
#ifdef pc_omgeving
#include "crfutils.h"
#endif




void init_bij_inschakelen(void)
{
}


void voorwaarden_per_seconde(void)
{
    if (vergelijk_datum(jaar_inst, 
                        maand_inst, 
                        dag_inst))
        set_HF(JRMNDDG);
    else
        reset_HF(JRMNDDG);


    if (vergelijk_weekdag(weekdag_inst))
        set_HF(WEEKDAG);
    else
        reset_HF(WEEKDAG);


    if (vergelijk_tijd(uur_inst, 
                       minuut_inst))
        set_HF(UURMIN);
    else
        reset_HF(UURMIN);

}


void overige_voorwaarden(void)
{

#ifdef pc_omgeving
  /* voor zichtbaar maken HF's */
  printxy(1,1, "HF(JRMNDDG): %d  ", HF(JRMNDDG));
  printxy(1,2, "HF(WEEKDAG): %d  ", HF(WEEKDAG));
  printxy(1,3, "HF(UURMIN):  %d  ", HF(UURMIN));
#endif

}
